﻿namespace DataChartTest
{
    using System;
    using System.Collections.Generic;
    using System.Collections.ObjectModel;
    using System.ComponentModel;
    using System.Globalization;
    using System.Linq;
    using System.Windows;
    using System.Windows.Data;
    using System.Windows.Media;
    using Infragistics.Controls.Charts;

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = this;

            var r = new Random();
            var series = new ScatterLineSeries { XAxis = this.SecxAxis, YAxis = this.YAXIS };

            var collection = new ObservableCollection<NumericSampleObj>();
            var x = 0;
            for (int i = 0; i < 30000; i++)
            {
                collection.Add(new NumericSampleObj { TimeOfSample = x + i, Value = r.Next(0, 2000) });
            }

            series.YMemberPath = "Value";
            series.XMemberPath = "TimeOfSample";
            series.Brush = Brushes.Blue;
            series.Brush.Freeze();
            series.TrendLineThickness = 3;
            series.Thickness = 3;
            series.MarkerBrush = Brushes.PowderBlue;
            series.MarkerType = MarkerType.None;
            series.MarkerOutline = new SolidColorBrush(Colors.Black);
            series.MarkerOutline.Freeze();

            series.ItemsSource = collection;
            xamPlot.Series.Add(series);
        }
    }

    public class SampleObj
    {
        public double Value { get; set; }
        public DateTime TimeOfSample { get; set; }
    }

    public class NumericSampleObj
    {
        public double Value { get; set; }
        public double TimeOfSample { get; set; }
    }
}